org.bdgenomics.adam.sql

# TranscriptEffect

#### class TranscriptEffect extends Product

Linear Supertypes
Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TranscriptEffect
2. Product
3. Equals
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new TranscriptEffect(alternateAllele: Option[String], effects: Seq[String], geneName: Option[String], geneId: Option[String], featureType: Option[String], featureId: Option[String], biotype: Option[String], rank: Option[Int], total: Option[Int], genomicHgvs: Option[String], transcriptHgvs: Option[String], proteinHgvs: Option[String], cdnaPosition: Option[Int], cdnaLength: Option[Int], cdsPosition: Option[Int], cdsLength: Option[Int], proteinPosition: Option[Int], proteinLength: Option[Int], distance: Option[Int], messages: Seq[String])

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### val alternateAllele: Option[String]

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### val biotype: Option[String]

9. #### def canEqual(that: Any): Boolean

   Definition Classes
     TranscriptEffect → Equals

10. #### val cdnaLength: Option[Int]

11. #### val cdnaPosition: Option[Int]

12. #### val cdsLength: Option[Int]

13. #### val cdsPosition: Option[Int]

14. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

15. #### val distance: Option[Int]

16. #### val effects: Seq[String]

17. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

19. #### val featureId: Option[String]

20. #### val featureType: Option[String]

21. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

22. #### val geneId: Option[String]

23. #### val geneName: Option[String]

24. #### val genomicHgvs: Option[String]

25. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

26. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

27. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

28. #### val messages: Seq[String]

29. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

30. #### final def notify(): Unit

    Definition Classes
      AnyRef

31. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

32. #### def productArity: Int

    Definition Classes
      TranscriptEffect → Product

33. #### def productElement(i: Int): Any

    Definition Classes
      TranscriptEffect → Product

34. #### def productIterator: Iterator[Any]

    Definition Classes
      Product

35. #### def productPrefix: String

    Definition Classes
      Product

36. #### val proteinHgvs: Option[String]

37. #### val proteinLength: Option[Int]

38. #### val proteinPosition: Option[Int]

39. #### val rank: Option[Int]

40. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

41. #### def toAvro: formats.avro.TranscriptEffect

42. #### def toString(): String

    Definition Classes
      AnyRef → Any

43. #### val total: Option[Int]

44. #### val transcriptHgvs: Option[String]

45. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

47. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped